## com.thingmagic
Enum Reader.LicenseOption

    java.lang.Object
      java.lang.Enum<Reader.LicenseOption>
          com.thingmagic.Reader.LicenseOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Reader.LicenseOption>

Enclosing class:
  Reader

    public static enum Reader.LicenseOption

extends java.lang.Enum<Reader.LicenseOption>

Enum values for License key operations

Enum Constant Summary
`ERASE_LICENSE_KEY` Erases the license key
`SET_LICENSE_KEY` Sets the license key

Method Summary
`static Reader.LicenseOption` `get(int rep)`
`int` `getCode()`
`static Reader.LicenseOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Reader.LicenseOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_LICENSE_KEY

    public static final Reader.LicenseOption SET_LICENSE_KEY

  Sets the license key

### ERASE_LICENSE_KEY

    public static final Reader.LicenseOption ERASE_LICENSE_KEY

  Erases the license key

Method Detail

### values

    public static Reader.LicenseOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Reader.LicenseOption c : Reader.LicenseOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Reader.LicenseOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static Reader.LicenseOption get(int rep)